const bdfn = require('../index');
const prefix = '.';
let client;
let ubfb;

bdfn.client.create('your token').then((c) => {
    client = c;
    ubfb = new bdfn.cmdsExtensions.ubfbExtension();

    bdfn.cmds.create('checkme', { type: 'GUILD_MESSAGE' }, async (command) => {
        let user = await ubfb.checkUser(command.author.id);
        if(user) return command.reply('You are malicious! (σ｀д′)σ');
        else return command.reply('You are not malicious! ༼ つ ^ - ^ ༽つ');
    });

    bdfn.cmds.create('checkuser', { type: 'GUILD_MESSAGE' }, async (command) => {
        if(!command.args[0])return command.reply('You have to type any user id!');

        let user = await ubfb.checkUser(command.args[0]);
        if(user) return command.reply('That user is malicious! (σ｀д′)σ');
        else return command.reply('That user is not malicious! ༼ つ ^ - ^ ༽つ');
    });

});

bdfn.client.on('messageCreate', async (message) => {
    if(!message.content.startsWith(prefix))return;

    let args = await bdfn.utils.args.getArgs(message.content, prefix);
    let command = await bdfn.utils.args.getCommand(args);

    if(!await bdfn.cmds.has(command))return;
    bdfn.cmds.use(command, args, message);
});

bdfn.client.on('ready', async () => {
    console.log(`${client.user.username} está encendido.`);
});