const client = require("./src/client/base");
const cmds = require("./src/cmds/base");
const ubfbExtension = require('./src/cmds/ubfbExtension');
const others = require('./src/cmds/basicCmdFilterExtension');
const db = require("./src/db/base");
const utils = {
    message: require('./src/utils/Messages'),
    args: require('./src/utils/Args')
}

exports.client = client;
exports.cmds = cmds;
exports.cmdsExtensions = { ubfbExtension, others };
exports.db = db;
exports.utils = utils;