const bdfn = require('../../index');

let myModel = new bdfn.db.model('mongoose', { uri: 'your uri' });

myModel.createModel('chairs', {
    key: String,
    chairType: String,
    price: Number,
    expensive: Boolean
});

myModel.set('1000', {
    chairType: 'GAMER',
    price: 350,
    expensive: true
});

myModel.get({ key: '1000' }).then(db => {
    console.log(db);

    db.price = db.price + 50;
    myModel.update({ key: '1000' }, db);
});

myModel.getAll({ expensive: true }).then(db => {
    console.log(db);
});